/*******************************************************************************
*                   Copyright (c) 1991-1994 Gemplus Development
*
* Name        : Gemplus.h
*
* Description : This file contains general declarations used by Gemplus
*               software.
*               If the flag _NO_MULTI is defined, the support of Gemplus
*               multi-driver is not ensured.
*
* Release     : 4.00
*
* Last Modif  : 22/08/94: V4.00
* Date        : 06/07/94: V4.00
*
********************************************************************************
*
* Warning     : 
*
* Remark      : It uses the following files:
*                  #include "GEMDEF.H"
*                  #include "GEMMAC.H"
*                  #include "GEMERROR.H"
*                  #include "GEMMULTI.H"
*
*******************************************************************************/


/*------------------------------------------------------------------------------
Name definition:
   _GEMPLUS_H is used to avoid multiple inclusion.
------------------------------------------------------------------------------*/
#ifndef _GEMPLUS_H
#define _GEMPLUS_H


/*------------------------------------------------------------------------------
Inclusion section:
   GEMDEF.H defines defines general definitions and structures used by Gemplus
      applications.
   GEMMAC.H defines general macros.
   GEMMERROR.H defines the Gemplus error codes.
------------------------------------------------------------------------------*/
#include "GEMDEF.H"
#include "GEMMAC.H"
#include "GEMERROR.H"
/*------------------------------------------------------------------------------
   GEMMULTI.H gives access to gemplus readers.
------------------------------------------------------------------------------*/
#ifndef _NO_MULTI
   #include "GEMMULTI.H"
#endif


#endif
